PaidGoods
API referenceNotifications

Update an endpoint

PUT
/v1/stores/{storeId}/notifications/endpoints/{endpointId}

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string
endpointId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/stores/string/notifications/endpoints/string" \  -H "Content-Type: application/json" \  -d '{    "kind": "discord",    "name": "string",    "url": "http://example.com",    "events": [      "feedback_digest"    ]  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "kind": "discord",  "name": "string",  "url": "string",  "events": [    "feedback_digest"  ],  "enabled": true,  "discordTemplate": {    "title": "string",    "description": "string",    "color": "string"  },  "createdAt": "string"}